Index: include/class.scm.php
===================================================================
--- include/class.scm.php	(revision 3164)
+++ include/class.scm.php	(working copy)
@@ -79,9 +79,7 @@
      */
     function remove()
     {
-        global $HTTP_POST_VARS;
-
-        $items = implode(", ", Misc::escapeInteger($HTTP_POST_VARS["item"]));
+        $items = implode(", ", Misc::escapeInteger($_POST["item"]));
         $stmt = "SELECT
                     isc_iss_id
                  FROM
@@ -174,8 +172,6 @@
      */
     function logCheckin($issue_id, $i)
     {
-        global $HTTP_GET_VARS;
-
         $stmt = "INSERT INTO
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue_checkin
                  (
@@ -189,13 +185,13 @@
                     isc_commit_msg
                  ) VALUES (
                     $issue_id,
-                    '" . Misc::escapeString($HTTP_GET_VARS["module"]) . "',
-                    '" . Misc::escapeString($HTTP_GET_VARS["files"][$i]) . "',
-                    '" . Misc::escapeString($HTTP_GET_VARS["old_versions"][$i]) . "',
-                    '" . Misc::escapeString($HTTP_GET_VARS["new_versions"][$i]) . "',
+                    '" . Misc::escapeString($_GET["module"]) . "',
+                    '" . Misc::escapeString($_GET["files"][$i]) . "',
+                    '" . Misc::escapeString($_GET["old_versions"][$i]) . "',
+                    '" . Misc::escapeString($_GET["new_versions"][$i]) . "',
                     '" . Date_API::getCurrentDateGMT() . "',
-                    '" . Misc::escapeString($HTTP_GET_VARS["username"]) . "',
-                    '" . Misc::escapeString($HTTP_GET_VARS["commit_msg"]) . "'
+                    '" . Misc::escapeString($_GET["username"]) . "',
+                    '" . Misc::escapeString($_GET["commit_msg"]) . "'
                  )";
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
         if (PEAR::isError($res)) {
@@ -206,7 +202,7 @@
             Issue::markAsUpdated($issue_id, 'scm checkin');
             // need to save a history entry for this
             History::add($issue_id, APP_SYSTEM_USER_ID, History::getTypeID('scm_checkin_associated'),
-                            ev_gettext("SCM Checkins associated by SCM user '") . $HTTP_GET_VARS["username"] . '\'.');
+                            ev_gettext("SCM Checkins associated by SCM user '") . $_GET["username"] . '\'.');
             return 1;
         }
     }
Index: include/class.filter.php
===================================================================
--- include/class.filter.php	(revision 3164)
+++ include/class.filter.php	(working copy)
@@ -114,9 +114,7 @@
      */
     function save()
     {
-        global $HTTP_POST_VARS;
-
-        $cst_id = Filter::getFilterID($HTTP_POST_VARS["title"]);
+        $cst_id = Filter::getFilterID($_POST["title"]);
         // loop through all available date fields and prepare the values for the sql query
         $date_fields = array(
             'created_date',
@@ -129,11 +127,11 @@
             $date_var = $field_name;
             $filter_type_var = $field_name . '_filter_type';
             $date_end_var = $field_name . '_end';
-            if (@$HTTP_POST_VARS['filter'][$field_name] == 'yes') {
-                $$date_var = "'" . Misc::escapeString($HTTP_POST_VARS[$field_name]["Year"] . "-" . $HTTP_POST_VARS[$field_name]["Month"] . "-" . $HTTP_POST_VARS[$field_name]["Day"]) . "'";
-                $$filter_type_var = "'" . $HTTP_POST_VARS[$field_name]['filter_type'] . "'";
+            if (@$_POST['filter'][$field_name] == 'yes') {
+                $$date_var = "'" . Misc::escapeString($_POST[$field_name]["Year"] . "-" . $_POST[$field_name]["Month"] . "-" . $_POST[$field_name]["Day"]) . "'";
+                $$filter_type_var = "'" . $_POST[$field_name]['filter_type'] . "'";
                 if ($$filter_type_var == "'between'") {
-                    $$date_end_var = "'" . Misc::escapeString($HTTP_POST_VARS[$date_end_var]["Year"] . "-" . $HTTP_POST_VARS[$date_end_var]["Month"] . "-" . $HTTP_POST_VARS[$date_end_var]["Day"]) . "'";
+                    $$date_end_var = "'" . Misc::escapeString($_POST[$date_end_var]["Year"] . "-" . $_POST[$date_end_var]["Month"] . "-" . $_POST[$date_end_var]["Day"]) . "'";
                 } elseif (($$filter_type_var == "'null'") || ($$filter_type_var == "'in_past'")) {
                     $$date_var = "NULL";
                     $$date_end_var = "NULL";
@@ -148,39 +146,39 @@
         }
 
         // save custom fields to search
-        if ((is_array($HTTP_POST_VARS['custom_field'])) && (count($HTTP_POST_VARS['custom_field']) > 0)) {
-            foreach ($HTTP_POST_VARS['custom_field'] as $fld_id => $search_value) {
+        if ((is_array($_POST['custom_field'])) && (count($_POST['custom_field']) > 0)) {
+            foreach ($_POST['custom_field'] as $fld_id => $search_value) {
                 if (empty($search_value)) {
-                    unset($HTTP_POST_VARS[$fld_id]);
+                    unset($_POST[$fld_id]);
                 }
             }
-            $custom_field_string = serialize($HTTP_POST_VARS['custom_field']);
+            $custom_field_string = serialize($_POST['custom_field']);
         } else {
             $custom_field_string = '';
         }
 
-        if (empty($HTTP_POST_VARS['is_global'])) {
+        if (empty($_POST['is_global'])) {
             $is_global_filter = 0;
         } else {
-            $is_global_filter = $HTTP_POST_VARS['is_global'];
+            $is_global_filter = $_POST['is_global'];
         }
         if ($cst_id != 0) {
             $stmt = "UPDATE
                         " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "custom_filter
                      SET
-                        cst_iss_pri_id='" . Misc::escapeInteger($HTTP_POST_VARS["priority"]) . "',
-                        cst_keywords='" . Misc::escapeString($HTTP_POST_VARS["keywords"]) . "',
-                        cst_users='" . Misc::escapeString($HTTP_POST_VARS["users"]) . "',
-                        cst_reporter=" . Misc::escapeInteger($HTTP_POST_VARS["reporter"]) . ",
-                        cst_iss_sta_id='" . Misc::escapeInteger($HTTP_POST_VARS["status"]) . "',
-                        cst_iss_pre_id='" . Misc::escapeInteger(@$HTTP_POST_VARS["release"]) . "',
-                        cst_iss_prc_id='" . Misc::escapeInteger(@$HTTP_POST_VARS["category"]) . "',
-                        cst_rows='" . Misc::escapeString($HTTP_POST_VARS["rows"]) . "',
-                        cst_sort_by='" . Misc::escapeString($HTTP_POST_VARS["sort_by"]) . "',
-                        cst_sort_order='" . Misc::escapeString($HTTP_POST_VARS["sort_order"]) . "',
-                        cst_hide_closed='" . Misc::escapeInteger(@$HTTP_POST_VARS["hide_closed"]) . "',
-                        cst_show_authorized='" . Misc::escapeString(@$HTTP_POST_VARS["show_authorized_issues"]) . "',
-                        cst_show_notification_list='" . Misc::escapeString(@$HTTP_POST_VARS["show_notification_list_issues"]) . "',
+                        cst_iss_pri_id='" . Misc::escapeInteger($_POST["priority"]) . "',
+                        cst_keywords='" . Misc::escapeString($_POST["keywords"]) . "',
+                        cst_users='" . Misc::escapeString($_POST["users"]) . "',
+                        cst_reporter=" . Misc::escapeInteger($_POST["reporter"]) . ",
+                        cst_iss_sta_id='" . Misc::escapeInteger($_POST["status"]) . "',
+                        cst_iss_pre_id='" . Misc::escapeInteger(@$_POST["release"]) . "',
+                        cst_iss_prc_id='" . Misc::escapeInteger(@$_POST["category"]) . "',
+                        cst_rows='" . Misc::escapeString($_POST["rows"]) . "',
+                        cst_sort_by='" . Misc::escapeString($_POST["sort_by"]) . "',
+                        cst_sort_order='" . Misc::escapeString($_POST["sort_order"]) . "',
+                        cst_hide_closed='" . Misc::escapeInteger(@$_POST["hide_closed"]) . "',
+                        cst_show_authorized='" . Misc::escapeString(@$_POST["show_authorized_issues"]) . "',
+                        cst_show_notification_list='" . Misc::escapeString(@$_POST["show_notification_list_issues"]) . "',
                         cst_created_date=$created_date,
                         cst_created_date_filter_type=$created_date_filter_type,
                         cst_created_date_time_period='" . @Misc::escapeInteger(@$_REQUEST['created_date']['time_period']) . "',
@@ -202,7 +200,7 @@
                         cst_closed_date_time_period='" . @Misc::escapeInteger(@$_REQUEST['closed_date']['time_period']) . "',
                         cst_closed_date_end=" . Misc::escapeString($closed_date_end) . ",
                         cst_is_global=" . Misc::escapeInteger($is_global_filter) . ",
-                        cst_search_type='" . Misc::escapeString($HTTP_POST_VARS['search_type']) . "',
+                        cst_search_type='" . Misc::escapeString($_POST['search_type']) . "',
                         cst_custom_field='" . Misc::escapeString($custom_field_string) . "'
                      WHERE
                         cst_id=$cst_id";
@@ -252,20 +250,20 @@
                      ) VALUES (
                         " . Auth::getUserID() . ",
                         " . Auth::getCurrentProject() . ",
-                        '" . Misc::escapeString($HTTP_POST_VARS["title"]) . "',
-                        '" . Misc::escapeInteger($HTTP_POST_VARS["priority"]) . "',
-                        '" . Misc::escapeString($HTTP_POST_VARS["keywords"]) . "',
-                        '" . Misc::escapeString($HTTP_POST_VARS["users"]) . "',
-                        '" . Misc::escapeInteger($HTTP_POST_VARS["reporter"]) . "',
-                        '" . Misc::escapeInteger($HTTP_POST_VARS["status"]) . "',
-                        '" . Misc::escapeInteger(@$HTTP_POST_VARS["release"]) . "',
-                        '" . Misc::escapeInteger(@$HTTP_POST_VARS["category"]) . "',
-                        '" . Misc::escapeString($HTTP_POST_VARS["rows"]) . "',
-                        '" . Misc::escapeString($HTTP_POST_VARS["sort_by"]) . "',
-                        '" . Misc::escapeString($HTTP_POST_VARS["sort_order"]) . "',
-                        '" . Misc::escapeInteger(@$HTTP_POST_VARS["hide_closed"]) . "',
-                        '" . Misc::escapeString(@$HTTP_POST_VARS["show_authorized_issues"]) . "',
-                        '" . Misc::escapeString(@$HTTP_POST_VARS["show_notification_list_issues"]) . "',
+                        '" . Misc::escapeString($_POST["title"]) . "',
+                        '" . Misc::escapeInteger($_POST["priority"]) . "',
+                        '" . Misc::escapeString($_POST["keywords"]) . "',
+                        '" . Misc::escapeString($_POST["users"]) . "',
+                        '" . Misc::escapeInteger($_POST["reporter"]) . "',
+                        '" . Misc::escapeInteger($_POST["status"]) . "',
+                        '" . Misc::escapeInteger(@$_POST["release"]) . "',
+                        '" . Misc::escapeInteger(@$_POST["category"]) . "',
+                        '" . Misc::escapeString($_POST["rows"]) . "',
+                        '" . Misc::escapeString($_POST["sort_by"]) . "',
+                        '" . Misc::escapeString($_POST["sort_order"]) . "',
+                        '" . Misc::escapeInteger(@$_POST["hide_closed"]) . "',
+                        '" . Misc::escapeString(@$_POST["show_authorized_issues"]) . "',
+                        '" . Misc::escapeString(@$_POST["show_notification_list_issues"]) . "',
                         $created_date,
                         $created_date_filter_type,
                         '" . @Misc::escapeInteger(@$_REQUEST['created_date']['time_period']) . "',
@@ -287,7 +285,7 @@
                         '" . @Misc::escapeInteger(@$_REQUEST['closed_date']['time_period']) . "',
                         $closed_date_end,
                         " . Misc::escapeInteger($is_global_filter) . ",
-                        '" . Misc::escapeString($HTTP_POST_VARS['search_type']) . "',
+                        '" . Misc::escapeString($_POST['search_type']) . "',
                         '" . Misc::escapeString($custom_field_string) . "'
                      )";
         }
@@ -518,10 +516,8 @@
      */
     function remove()
     {
-        global $HTTP_POST_VARS;
-
-        $items = implode(", ", Misc::escapeInteger($HTTP_POST_VARS["item"]));
-        foreach ($HTTP_POST_VARS["item"] as $cst_id) {
+        $items = implode(", ", Misc::escapeInteger($_POST["item"]));
+        foreach ($_POST["item"] as $cst_id) {
             $stmt = "DELETE FROM
                         " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "custom_filter
                      WHERE";
Index: include/class.error_handler.php
===================================================================
--- include/class.error_handler.php	(revision 3164)
+++ include/class.error_handler.php	(working copy)
@@ -78,8 +78,6 @@
      */
     function _notify($error_msg = "unknown", $script = "unknown", $line = "unknown")
     {
-        global $HTTP_SERVER_VARS;
-
         $setup = Setup::load();
         $notify_list = trim($setup['email_error']['addresses']);
         if (empty($notify_list)) {
@@ -99,8 +97,8 @@
         } else {
             $msg .= "'$error_msg'\n\n";
         }
-        @$msg .= "That happened on page '" . $HTTP_SERVER_VARS["PHP_SELF"] . "' from IP Address '" . getenv("REMOTE_ADDR") . "' coming from the page (referrer) '" . getenv("HTTP_REFERER") . "'.\n\n";
-        @$msg .= "The user agent given was '" . $HTTP_SERVER_VARS['HTTP_USER_AGENT'] . "'.\n\n";
+        @$msg .= "That happened on page '" . $_SERVER["PHP_SELF"] . "' from IP Address '" . getenv("REMOTE_ADDR") . "' coming from the page (referrer) '" . getenv("HTTP_REFERER") . "'.\n\n";
+        @$msg .= "The user agent given was '" . $_SERVER['HTTP_USER_AGENT'] . "'.\n\n";
         $msg .= "-- \nSincerely yours,\nAutomated Error_Handler Class";
         // only try to include the backtrace if we are on PHP 4.3.0 or later
         if (version_compare(phpversion(), "4.3.0", ">=")) {
@@ -140,8 +138,6 @@
      */
     function logToFile($error_msg = "unknown", $script = "unknown", $line = "unknown")
     {
-        global $HTTP_SERVER_VARS;
-
         $msg = "[" . date("D M d H:i:s Y") . "] ";
         $msg .= "An error was found on line '" . $line . "' of script " . "'$script'.\n\n";
         $msg .= "The error message passed to us was:\n\n";
@@ -176,4 +172,4 @@
 if (APP_BENCHMARK) {
     $GLOBALS['bench']->setMarker('Included Error_Handler Class');
 }
-?>
\ No newline at end of file
+?>
Index: include/class.routing.php
===================================================================
--- include/class.routing.php	(revision 3164)
+++ include/class.routing.php	(working copy)
@@ -55,7 +55,7 @@
      */
     function route_emails($full_message)
     {
-        GLOBAL $HTTP_POST_VARS;
+        GLOBAL $_POST;
 
         // need some validation here
         if (empty($full_message)) {
@@ -244,7 +244,7 @@
      */
     function route_notes($full_message)
     {
-        GLOBAL $HTTP_POST_VARS;
+        GLOBAL $_POST;
 
         // save the full message for logging purposes
         Note::saveRoutedNote($full_message);
@@ -338,7 +338,7 @@
         }
 
         // insert the new note and send notification about it
-        $HTTP_POST_VARS = array(
+        $_POST = array(
             'title'                => @$structure->headers['subject'],
             'note'                 => $body,
             'note_cc'              => $cc_users,
@@ -350,7 +350,7 @@
         // add the full email to the note if there are any attachments
         // this is needed because the front end code will display attachment links
         if (Mime_Helper::hasAttachments($structure)) {
-            $HTTP_POST_VARS['blocked_msg'] = $full_message;
+            $_POST['blocked_msg'] = $full_message;
         }
         $res = Note::insert(Auth::getUserID(), $issue_id, false, false);
         // need to handle attachments coming from notes as well
@@ -371,7 +371,7 @@
      */
     function route_drafts($full_message)
     {
-        GLOBAL $HTTP_POST_VARS;
+        GLOBAL $_POST;
 
         // save the full message for logging purposes
         Draft::saveRoutedMessage($full_message);
Index: include/class.reminder_action.php
===================================================================
--- include/class.reminder_action.php	(revision 3164)
+++ include/class.reminder_action.php	(working copy)
@@ -190,8 +190,6 @@
      */
     function insert()
     {
-        global $HTTP_POST_VARS;
-
         $stmt = "INSERT INTO
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_action
                  (
@@ -204,14 +202,14 @@
                     rma_alert_group_leader,
                     rma_boilerplate
                  ) VALUES (
-                    " . Misc::escapeInteger($HTTP_POST_VARS['rem_id']) . ",
-                    " . Misc::escapeInteger($HTTP_POST_VARS['type']) . ",
+                    " . Misc::escapeInteger($_POST['rem_id']) . ",
+                    " . Misc::escapeInteger($_POST['type']) . ",
                     '" . Date_API::getCurrentDateGMT() . "',
-                    '" . Misc::escapeString($HTTP_POST_VARS['title']) . "',
-                    '" . Misc::escapeInteger($HTTP_POST_VARS['rank']) . "',
-                    " . Misc::escapeInteger($HTTP_POST_VARS['alert_irc']) . ",
-                    " . Misc::escapeInteger($HTTP_POST_VARS['alert_group_leader']) . ",
-                    '" . Misc::escapeString($HTTP_POST_VARS['boilerplate']) . "'
+                    '" . Misc::escapeString($_POST['title']) . "',
+                    '" . Misc::escapeInteger($_POST['rank']) . "',
+                    " . Misc::escapeInteger($_POST['alert_irc']) . ",
+                    " . Misc::escapeInteger($_POST['alert_group_leader']) . ",
+                    '" . Misc::escapeString($_POST['boilerplate']) . "'
                  )";
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
         if (PEAR::isError($res)) {
@@ -220,8 +218,8 @@
         } else {
             $new_rma_id = $GLOBALS["db_api"]->get_last_insert_id();
             // add the user list, if appropriate
-            if (Reminder_Action::isUserList($HTTP_POST_VARS['type'])) {
-                Reminder_Action::associateUserList($new_rma_id, $HTTP_POST_VARS['user_list']);
+            if (Reminder_Action::isUserList($_POST['type'])) {
+                Reminder_Action::associateUserList($new_rma_id, $_POST['user_list']);
             }
             return 1;
         }
@@ -306,30 +304,28 @@
      */
     function update()
     {
-        global $HTTP_POST_VARS;
-
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_action
                  SET
                     rma_last_updated_date='" . Date_API::getCurrentDateGMT() . "',
-                    rma_rank='" . Misc::escapeInteger($HTTP_POST_VARS['rank']) . "',
-                    rma_title='" . Misc::escapeString($HTTP_POST_VARS['title']) . "',
-                    rma_rmt_id=" . Misc::escapeInteger($HTTP_POST_VARS['type']) . ",
-                    rma_alert_irc=" . Misc::escapeInteger($HTTP_POST_VARS['alert_irc']) . ",
-                    rma_alert_group_leader=" . Misc::escapeInteger($HTTP_POST_VARS['alert_group_leader']) . ",
-                    rma_boilerplate='" . Misc::escapeString($HTTP_POST_VARS['boilerplate']) . "'
+                    rma_rank='" . Misc::escapeInteger($_POST['rank']) . "',
+                    rma_title='" . Misc::escapeString($_POST['title']) . "',
+                    rma_rmt_id=" . Misc::escapeInteger($_POST['type']) . ",
+                    rma_alert_irc=" . Misc::escapeInteger($_POST['alert_irc']) . ",
+                    rma_alert_group_leader=" . Misc::escapeInteger($_POST['alert_group_leader']) . ",
+                    rma_boilerplate='" . Misc::escapeString($_POST['boilerplate']) . "'
                  WHERE
-                    rma_id=" . Misc::escapeInteger($HTTP_POST_VARS['id']);
+                    rma_id=" . Misc::escapeInteger($_POST['id']);
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
         } else {
             // remove any user list associated with this reminder action
-            Reminder_Action::clearActionUserList($HTTP_POST_VARS['id']);
+            Reminder_Action::clearActionUserList($_POST['id']);
             // add the user list back in, if appropriate
-            if (Reminder_Action::isUserList($HTTP_POST_VARS['type'])) {
-                Reminder_Action::associateUserList($HTTP_POST_VARS['id'], $HTTP_POST_VARS['user_list']);
+            if (Reminder_Action::isUserList($_POST['type'])) {
+                Reminder_Action::associateUserList($_POST['id'], $_POST['user_list']);
             }
             return 1;
         }
Index: include/class.email_account.php
===================================================================
--- include/class.email_account.php	(revision 3164)
+++ include/class.email_account.php	(working copy)
@@ -235,9 +235,7 @@
      */
     function remove()
     {
-        global $HTTP_POST_VARS;
-
-        $items = @implode(", ", Misc::escapeInteger($HTTP_POST_VARS["items"]));
+        $items = @implode(", ", Misc::escapeInteger($_POST["items"]));
         $stmt = "DELETE FROM
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "email_account
                  WHERE
@@ -247,7 +245,7 @@
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
         } else {
-            Support::removeEmailByAccounts($HTTP_POST_VARS["items"]);
+            Support::removeEmailByAccounts($_POST["items"]);
             return true;
         }
     }
@@ -261,19 +259,17 @@
      */
     function insert()
     {
-        global $HTTP_POST_VARS;
-
-        if (empty($HTTP_POST_VARS["get_only_new"])) {
-            $HTTP_POST_VARS["get_only_new"] = 0;
+        if (empty($_POST["get_only_new"])) {
+            $_POST["get_only_new"] = 0;
         }
-        if (empty($HTTP_POST_VARS["leave_copy"])) {
-            $HTTP_POST_VARS["leave_copy"] = 0;
+        if (empty($_POST["leave_copy"])) {
+            $_POST["leave_copy"] = 0;
         }
-        if (empty($HTTP_POST_VARS["use_routing"])) {
-            $HTTP_POST_VARS["use_routing"] = 0;
-        } elseif ($HTTP_POST_VARS['use_routing'] == 1) {
+        if (empty($_POST["use_routing"])) {
+            $_POST["use_routing"] = 0;
+        } elseif ($_POST['use_routing'] == 1) {
             // if an account will be used for routing, you can't leave the message on the server
-            $HTTP_POST_VARS['leave_copy'] = 0;
+            $_POST['leave_copy'] = 0;
         }
         $stmt = "INSERT INTO
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "email_account
@@ -289,16 +285,16 @@
                     ema_leave_copy,
                     ema_use_routing
                  ) VALUES (
-                    " . Misc::escapeInteger($HTTP_POST_VARS["project"]) . ",
-                    '" . Misc::escapeString($HTTP_POST_VARS["type"]) . "',
-                    '" . Misc::escapeString($HTTP_POST_VARS["hostname"]) . "',
-                    '" . Misc::escapeString($HTTP_POST_VARS["port"]) . "',
-                    '" . Misc::escapeString(@$HTTP_POST_VARS["folder"]) . "',
-                    '" . Misc::escapeString($HTTP_POST_VARS["username"]) . "',
-                    '" . Misc::escapeString($HTTP_POST_VARS["password"]) . "',
-                    " . Misc::escapeInteger($HTTP_POST_VARS["get_only_new"]) . ",
-                    " . Misc::escapeInteger($HTTP_POST_VARS["leave_copy"]) . ",
-                    " . Misc::escapeInteger($HTTP_POST_VARS["use_routing"]) . "
+                    " . Misc::escapeInteger($_POST["project"]) . ",
+                    '" . Misc::escapeString($_POST["type"]) . "',
+                    '" . Misc::escapeString($_POST["hostname"]) . "',
+                    '" . Misc::escapeString($_POST["port"]) . "',
+                    '" . Misc::escapeString(@$_POST["folder"]) . "',
+                    '" . Misc::escapeString($_POST["username"]) . "',
+                    '" . Misc::escapeString($_POST["password"]) . "',
+                    " . Misc::escapeInteger($_POST["get_only_new"]) . ",
+                    " . Misc::escapeInteger($_POST["leave_copy"]) . ",
+                    " . Misc::escapeInteger($_POST["use_routing"]) . "
                  )";
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
         if (PEAR::isError($res)) {
@@ -318,35 +314,33 @@
      */
     function update()
     {
-        global $HTTP_POST_VARS;
-
-        if (empty($HTTP_POST_VARS["get_only_new"])) {
-            $HTTP_POST_VARS["get_only_new"] = 0;
+        if (empty($_POST["get_only_new"])) {
+            $_POST["get_only_new"] = 0;
         }
-        if (empty($HTTP_POST_VARS["leave_copy"])) {
-            $HTTP_POST_VARS["leave_copy"] = 0;
+        if (empty($_POST["leave_copy"])) {
+            $_POST["leave_copy"] = 0;
         }
-        if (empty($HTTP_POST_VARS["use_routing"])) {
-            $HTTP_POST_VARS["use_routing"] = 0;
-        } elseif ($HTTP_POST_VARS['use_routing'] == 1) {
+        if (empty($_POST["use_routing"])) {
+            $_POST["use_routing"] = 0;
+        } elseif ($_POST['use_routing'] == 1) {
             // if an account will be used for routing, you can't leave the message on the server
-            $HTTP_POST_VARS['leave_copy'] = 0;
+            $_POST['leave_copy'] = 0;
         }
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "email_account
                  SET
-                    ema_prj_id=" . Misc::escapeInteger($HTTP_POST_VARS["project"]) . ",
-                    ema_type='" . Misc::escapeString($HTTP_POST_VARS["type"]) . "',
-                    ema_hostname='" . Misc::escapeString($HTTP_POST_VARS["hostname"]) . "',
-                    ema_port='" . Misc::escapeString($HTTP_POST_VARS["port"]) . "',
-                    ema_folder='" . Misc::escapeString(@$HTTP_POST_VARS["folder"]) . "',
-                    ema_username='" . Misc::escapeString($HTTP_POST_VARS["username"]) . "',
-                    ema_password='" . Misc::escapeString($HTTP_POST_VARS["password"]) . "',
-                    ema_get_only_new=" . Misc::escapeInteger($HTTP_POST_VARS["get_only_new"]) . ",
-                    ema_leave_copy=" . Misc::escapeInteger($HTTP_POST_VARS["leave_copy"]) . ",
-                    ema_use_routing=" . Misc::escapeInteger($HTTP_POST_VARS["use_routing"]) . "
+                    ema_prj_id=" . Misc::escapeInteger($_POST["project"]) . ",
+                    ema_type='" . Misc::escapeString($_POST["type"]) . "',
+                    ema_hostname='" . Misc::escapeString($_POST["hostname"]) . "',
+                    ema_port='" . Misc::escapeString($_POST["port"]) . "',
+                    ema_folder='" . Misc::escapeString(@$_POST["folder"]) . "',
+                    ema_username='" . Misc::escapeString($_POST["username"]) . "',
+                    ema_password='" . Misc::escapeString($_POST["password"]) . "',
+                    ema_get_only_new=" . Misc::escapeInteger($_POST["get_only_new"]) . ",
+                    ema_leave_copy=" . Misc::escapeInteger($_POST["leave_copy"]) . ",
+                    ema_use_routing=" . Misc::escapeInteger($_POST["use_routing"]) . "
                  WHERE
-                    ema_id=" . $HTTP_POST_VARS["id"];
+                    ema_id=" . $_POST["id"];
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
@@ -488,4 +482,4 @@
 if (APP_BENCHMARK) {
     $GLOBALS['bench']->setMarker('Included Email_Account Class');
 }
-?>
\ No newline at end of file
+?>
